# flask_app/task
from flask_app.celery_app import celery_app
from flask_app.general.通义千问long import qianwen_long


@celery_app.task(
    name='flask_app.task.process_qianwen_long',
    bind=True,
    soft_time_limit=600,  # 10分钟后发出超时信号
    time_limit=660,
    max_retries=3,  # 最大重试次数
    default_retry_delay=60  # 重试延迟时间（秒）
)
def process_qianwen_long(self, file_id, user_query):
    try:
        return qianwen_long(file_id, user_query)
    except Exception as exc:
        print("任务发生异常，准备重试")
        raise self.retry(exc=exc)